> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取队列

> 获取某个企业的队列状态。

返回排队会话的总数（状态：new、resuming、claimed）以及状态指示级别（normal / elevated / high）。

此端点用于企业管理员监控队列健康状况，并针对容量问题设置告警。

<div id="permissions">
  ## 权限
</div>

需要一个在企业级具有 `ViewAccountMetrics` 权限的服务账号。

<div id="status-thresholds">
  ## 状态阈值
</div>

`status` 字段根据排队会话数量反映当前队列压力：

| 状态         | 条件                    | 说明     |
| ---------- | --------------------- | ------ |
| `normal`   | queue\_size ≤ 10      | 队列运行正常 |
| `elevated` | 11 ≤ queue\_size ≤ 50 | 队列压力偏高 |
| `high`     | queue\_size > 50      | 队列压力很高 |


## OpenAPI

````yaml zh/v3-openapi.yaml GET /v3/enterprise/queue
openapi: 3.1.0
info:
  description: 采用 Service User 身份验证和 RBAC 的 Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/queue:
    get:
      tags:
        - queue
      summary: 获取队列
      description: |-
        获取某个企业的队列状态。

        返回排队会话的总数（状态：new、resuming、claimed）以及状态指示级别（normal / elevated / high）。

        此端点用于企业管理员监控队列健康状况，并针对容量问题设置告警。
      operationId: get_queue_v3_enterprise_queue_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QueueResponse'
          description: 成功响应
components:
  schemas:
    QueueResponse:
      description: 队列端点的响应模型。
      properties:
        queue_size:
          title: Queue Size
          type: integer
        status:
          enum:
            - normal
            - elevated
            - high
          title: Status
          type: string
      required:
        - queue_size
        - status
      title: QueueResponse
      type: object
  securitySchemes:
    bearerAuth:
      description: 服务用户凭据（前缀：cog_）
      scheme: bearer
      type: http

````